
#include <string.h>

#define HERONFIFO0_ADDRESS              0x02200000
#define HERONFIFO1_ADDRESS              0x02240000
#define HERONFIFO2_ADDRESS              0x02280000
#define HERONFIFO3_ADDRESS              0x022c0000
#define HERONFIFO4_ADDRESS              0x02300000
#define HERONFIFO5_ADDRESS              0x02340000

#define IN_FLAGS_ADDRESS                0x02080000
#define OUT_FLAGS_ADDRESS               0x02090000

void link_out(int len, unsigned int *buf, int link_no)
{
	volatile unsigned int *fifo  = (unsigned int *)(0x02200000 + (0x40000 * link_no));
	volatile unsigned int *flags = (unsigned int *) OUT_FLAGS_ADDRESS;
	unsigned int i, mask = (1 << link_no);

	for (i=0; i<len; i++)
	{
		while (!(*flags & mask)) {}
		*fifo = *buf++;
	}
}

void config_off(void)
{
	volatile unsigned int *config = (unsigned int *)0x020c0000;
	*config = 0;
}

void config_on(void)
{
	volatile unsigned int *config = (unsigned int *)0x020c0000;
	*config = 1;
}

unsigned int buf[9600];

int main()
{           
	int i,j;

	for (j=0; j<4; j++)
	{
	   config_on();
	   for (i=0; i<100000;i++){}
	   config_off();
	   for (i=0; i<100000;i++){}
	}

	while (1)
	{
		link_out(9600, buf, 0);
		config_on();
		link_out(9600, buf, 0);
		config_off();
	}

}
/*** End Of File ***/
