
/* HSB Protocol definitions *********************************/

/* Module Types */
#define PROCESSOR		1

/* Family ID */
#define HERON1			1
#define HERON4			4

/* Processor Option */
#define C6201			1
#define C6701			2
#define C6202			3
#define C6702			4

/* PROTOCOL headers */
#define QUERY_TYPE		1
#define RESP_TYPE		2

/************************************************************/

char *GetModule(int type)
{
	switch (type)
	{
	case PROCESSOR : return "Processor";
	default        : return "Unknown";
	}
}

char *GetProcessor(int type)
{
	switch (type)
	{
	case C6201 : return "C6201";
	case C6701 : return "C6701";
	case C6202 : return "C6201";
	case C6702 : return "C6702";
	default    : return "Unknown";
	}
}

