
#include <string.h>
#include <heron4.h>

#define FIFONO		0

#define BUFSIZE		4800

unsigned int buf[BUFSIZE];

int main()
{
}

int maintask()
{           
	HeronFIFO *wfifo;
	int status, i,j;

    /* open the FIFO for writing*/
    wfifo=HeronOpenFifo(FIFONO,"w");
    if (wfifo==NULL)
    {
       HeronDigioOut(0x2);
       exit(-1); 	
    } 

	for (j=0; j<BUFSIZE; j+=32)
	{
	   for (i=0;i<32;i++)
	   {
	      buf[j+i]=(1<<i);
	   }
	}

	for (j=0; j<4; j++)
	{
	   HeronConfigOn();
	   for (i=0; i<100000;i++){}
	   HeronConfigOff();
	   for (i=0; i<100000;i++){}
	}

	while (1)
	{
  	    status = HeronWrite(wfifo, buf, BUFSIZE);
  	    if (status == HERON_IO_IN_PROGRESS)
		{
			status = HeronWaitIo(wfifo);
		}
        if (status != HERON_OK) 
		{
			HeronDigioOut(0x3);
			exit(-1);
		}
  	    status = HeronWrite(wfifo, buf, BUFSIZE);
  	    if (status == HERON_IO_IN_PROGRESS)
		{
			status = HeronWaitIo(wfifo);
		}
        if (status != HERON_OK) 
		{
			HeronDigioOut(0x3);
			exit(-1);
		}
	}

}
/*** End Of File ***/
