
#include <string.h>

void link_out(int len, unsigned int *buf, int link_no)
{
   volatile unsigned int *fifo  = (volatile unsigned int *)(0x00400000+link_no*0x80);
   volatile unsigned int *flags = (volatile unsigned int *) 0x01640000;
   unsigned int i;
   unsigned int mask = (1 << (link_no + 18));

   for (i=0; i<len; i++)
   {
	while ((*flags & mask) == 0)
	{
		asm("   NOP 5");
	}
	*fifo = buf[i];
   }
}

void config_off(void)
{
	volatile unsigned int *config = (unsigned int *)0x01680000;
	*config = 0;
}

void config_on(void)
{
	volatile unsigned int *config = (unsigned int *)0x01680000;
	*config = 1;
}

unsigned int buf[9600];

int main()
{           
	int i,j;

	for (j=0; j<9600; j+=32)
	{
	   for (i=0;i<32;i++)
	   {
	      buf[j+i]=(1<<i);
	   }
	}

	for (j=0; j<4; j++)
	{
	   config_on();
	   for (i=0; i<100000;i++){}
	   config_off();
	   for (i=0; i<100000;i++){}
	}

	while (1)
	{
		link_out(9600, buf, 0);
		config_on();
		link_out(9600, buf, 0);
		config_off();
	}

}
/*** End Of File ***/
