/****************************************************************************/
/*  lnk.cmd   v1.00                                                         */
/*  Copyright (c) 1996-1997  Texas Instruments Incorporated                 */
/****************************************************************************/
-c
-heap  0x4000
-stack 0x4000

MEMORY
{
    VECS:   o = 00000000h  l = 00000400h /* reset & interrupt vectors     */
    PMEM:   o = 00001000h  l = 0000F000h /* intended for initialization   */
    BMEM:   o = 80000000h  l = 00010000h /* .bss, .system, .stack, .cinit */
}

SECTIONS
{
    .vectors:   >       VECS
    .text:      >       PMEM
    .tables:    >       BMEM
    .data:      >       BMEM
    .stack:     >       BMEM
    .bss:       >       BMEM
    .sysmem:    >       BMEM
    .cinit:     >       BMEM
    .const:     >       BMEM
    .cio:       >       BMEM
    .far:       >       BMEM
}
